%define url_ver %(echo %{version}|cut -d. -f1,2)

%define api		1.2
%define base_version	3.0
%define dir_version	3.16

%define oldmajor	6
%define oldlibname %mklibname %{name} %{oldmajor}

%define oldmajor2006 4
%define oldlibname2006 %mklibname %{name} %{oldmajor2006}

%define camelmajor 52
%define camel_libname %mklibname camel %{camelmajor}
%define camel_devel %mklibname camel -d

%define ebackendmajor 10
%define ebackend_libname %mklibname ebackend %{ebackendmajor}
%define ebackend_devel %mklibname ebackend -d

%define ebookmajor 16
%define ebook_libname %mklibname ebook %{ebookmajor}
%define ebook_devel %mklibname ebook -d

%define ebookcontactsmajor 1
%define ebookcontacts_libname %mklibname ebook-contacts %{ebookcontactsmajor}
%define ebookcontacts_devel %mklibname ebook-contacts -d

%define ecalmajor 18
%define ecal_libname %mklibname ecal %{ecalmajor}
%define ecal_devel %mklibname ecal -d

%define edatabookmajor 25
%define edatabook_libname %mklibname edata-book %{edatabookmajor}
%define edatabook_devel %mklibname edata-book -d

%define edatacalmajor 27
%define edatacal_libname %mklibname edata-cal %{edatacalmajor}
%define edatacal_devel %mklibname edata-cal -d

%define edataservermajor 20
%define edataserver_libname %mklibname edataserver %{edataservermajor}
%define edataserver_devel %mklibname -d edataserver

%define girmajor 1.2
%define girname %mklibname %{name}-gir %{girmajor}

Name:		evolution-data-server
Summary:	Evolution Data Server
Version:	3.16.4
Release:	2
License: 	LGPLv2+
Group:		System/Libraries
URL: 		http://www.gnome.org/projects/evolution/
Source0: 	ftp://ftp.gnome.org/pub/GNOME/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Source10:	%{name}.rpmlintrc

BuildRequires:	bison
BuildRequires:	db-devel
BuildRequires:	gettext
BuildRequires:	gnome-common
BuildRequires:	gperf
BuildRequires:	gtk-doc
BuildRequires:	intltool
BuildRequires:	openldap-devel
BuildRequires:	krb5-devel
BuildRequires:	pkgconfig(gio-2.0) >= 2.28
BuildRequires:	pkgconfig(gtk+-3.0) >= 3.0
BuildRequires:	pkgconfig(gconf-2.0) >= 2.0.0
BuildRequires:	pkgconfig(libxml-2.0) >= 2.0.0
BuildRequires:	pkgconfig(libsoup-2.4) >= 2.31.2
BuildRequires:	pkgconfig(libgdata) >= 0.16.1
BuildRequires:	pkgconfig(goa-1.0) >= 3.12.0
BuildRequires:	pkgconfig(gobject-introspection-1.0)
BuildRequires:	pkgconfig(gnome-keyring-1) >= 3.12.0
BuildRequires:	pkgconfig(nspr)
BuildRequires:	pkgconfig(nss)
BuildRequires:	pkgconfig(gweather-3.0) >= 3.12.0
BuildRequires:	pkgconfig(sqlite3) >= 3.5
BuildRequires:	pkgconfig(libical) >= 0.43
BuildRequires:	pkgconfig(oauth) >= 0.9.4
BuildRequires:  pkgconfig(gcr-base-3) >= 3.12
BuildRequires:  pkgconfig(libsecret-1)
BuildRequires:  vala-devel vala-tools

# workaround for libedbus-private library
%ifarch x86_64
Provides:	devel(libedbus-private(64bit))
%else
Provides:	devel(libedbus-private)
%endif

Obsoletes: %oldlibname

%description
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{camel_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Obsoletes:	%{_lib}camel43

%description -n %{camel_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{ebackend_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Obsoletes:	%{_lib}ebackend6

%description -n %{ebackend_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{ebook_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries

%description -n %{ebook_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{ebookcontacts_libname}
Summary:        Shared libraries for using Evolution Data Server
Group:          System/Libraries

%description -n %{ebookcontacts_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{ecal_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Obsoletes:	%{_lib}ecal15

%description -n %{ecal_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edatabook_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Obsoletes:	%{_lib}edata-book17

%description -n %{edatabook_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edatacal_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Obsoletes:	%{_lib}edata-cal20

%description -n %{edatacal_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edataserver_libname}
Summary:	Shared libraries for using Evolution Data Server
Group:		System/Libraries
Obsoletes:	%{_lib}edataserver17

%description -n %{edataserver_libname}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{camel_devel}
Summary:	Libraries and include files for using Evolution Data Server - camel
Group:		Development/GNOME and GTK+
Requires:	%{camel_libname} = %{version}-%{release}

%description -n %{camel_devel}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{ebackend_devel}
Summary:	Libraries and include files for using Evolution Data Server - ebackend
Group:		Development/GNOME and GTK+
Requires:	%{ebackend_libname} = %{version}-%{release}

%description -n %{ebackend_devel}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{ebook_devel}
Summary:	Libraries and include files for using Evolution Data Server - ebook
Group:		Development/GNOME and GTK+
Requires:	%{ebook_libname} = %{version}-%{release}

%description -n %{ebook_devel}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{ebookcontacts_devel}
Summary:        Libraries and include files for using Evolution Data Server - ebookcontacts
Group:          Development/GNOME and GTK+
Requires:       %{ebookcontacts_libname} = %{version}-%{release}

%description -n %{ebookcontacts_devel}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{ecal_devel}
Summary:	Libraries and include files for using Evolution Data Server - ecal
Group:		Development/GNOME and GTK+
Requires:	%{ecal_libname} = %{version}-%{release}

%description -n %{ecal_devel}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edatabook_devel}
Summary:	Libraries and include files for using Evolution Data Server - edatabook
Group:		Development/GNOME and GTK+
Requires:	%{edatabook_libname} = %{version}-%{release}

%description -n %{edatabook_devel}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edatacal_devel}
Summary:	Libraries and include files for using Evolution Data Server - edatacal
Group:		Development/GNOME and GTK+
Requires:	%{edatacal_libname} = %{version}-%{release}

%description -n %{edatacal_devel}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{edataserver_devel}
Summary:	Libraries and include files for using Evolution Data Server
Group:		Development/GNOME and GTK+
Requires:	%{edataserver_libname} = %{version}-%{release}
Provides:	%{name}-devel = %{version}-%{release}
Obsoletes:	%mklibname -d edataserver 9

%description -n %{edataserver_devel}
Evolution Data Server provides a central location for your addressbook
and calendar in the gnome desktop.

%package -n %{girname}
Summary:        GObject Introspection interface description for %{name}
Group:          System/Libraries

%description -n %{girname}
GObject Introspection interface description for %{name}.

%prep
%setup -q
%apply_patches

%build
%configure2_5x \
	--with-krb5=%{_prefix} \
	--with-krb5-libs=%{_libdir} \
	--with-libdb=%{_prefix}	\
	--disable-static \
	--with-openldap=yes \
	--with-static-ldap=no \
	--enable-gtk-doc=yes \
	--disable-uoa \
	--enable-vala-bindings 

%make

%install
%makeinstall_std

# remove libtool archives for importers and the like
find %{buildroot}/%{_libdir} -name '*.la' -exec rm {} \;

# give the libraries some executable bits 
find %{buildroot} -name '*.so.*' -exec chmod +x {} \;

%find_lang %{name}-%{dir_version}

%files -f %{name}-%{dir_version}.lang
%doc COPYING NEWS
%doc %{_datadir}/gtk-doc/html/eds/*
%{_libexecdir}/%{name}
%{_libexecdir}/camel-index-control-%{api}
%{_libexecdir}/evolution-addressbook-factory
%{_libexecdir}/evolution-calendar-factory
%{_libexecdir}/evolution-user-prompter
%{_libexecdir}/evolution-scan-gconf-tree-xml
%{_libexecdir}/evolution-source-registry
%{_libexecdir}/evolution-addressbook-factory-subprocess
%{_libexecdir}/evolution-calendar-factory-subprocess

%attr(2755,root,mail) %{_libexecdir}/camel-lock-helper-%{api}
%{_datadir}/%{name}
%{_datadir}/dbus-1/services/org.gnome.evolution.dataserver.AddressBook.service
%{_datadir}/dbus-1/services/org.gnome.evolution.dataserver.Calendar.service
%{_datadir}/dbus-1/services/org.gnome.evolution.dataserver.Sources.service
%{_datadir}/dbus-1/services/org.gnome.evolution.dataserver.UserPrompter.service
%{_datadir}/pixmaps/%{name}
%{_datadir}/GConf/gsettings/evolution-data-server.convert

#GSettings
%{_datadir}/glib-2.0/schemas/org.gnome.evolution.eds-shell.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution.shell.network-config.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.Evolution.DefaultSources.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution-data-server.addressbook.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution-data-server.calendar.gschema.xml
%{_datadir}/glib-2.0/schemas/org.gnome.evolution-data-server.gschema.xml

%files -n %{camel_libname}
%{_libdir}/libcamel-%{api}.so.%{camelmajor}*

%files -n %{ebackend_libname}
%{_libdir}/libebackend-%{api}.so.%{ebackendmajor}*

%files -n %{ebook_libname}
%{_libdir}/libebook-%{api}.so.%{ebookmajor}*

%files -n %{ebookcontacts_libname}
%{_libdir}/libebook-contacts-%{api}.so.%{ebookcontactsmajor}*

%files -n %{ecal_libname}
%{_libdir}/libecal-%{api}.so.%{ecalmajor}*

%files -n %{edatabook_libname}
%{_libdir}/libedata-book-%{api}.so.%{edatabookmajor}*

%files -n %{edatacal_libname}
%{_libdir}/libedata-cal-%{api}.so.%{edatacalmajor}*

%files -n %{edataserver_libname}
%{_libdir}/libedataserver-%{api}.so.%{edataservermajor}*
%{_libdir}/libedataserverui-%{api}.so.*

%files -n %{girname}
%{_libdir}/girepository-1.0/EDataServer-%{girmajor}.typelib
%{_libdir}/girepository-1.0/EBook-%{girmajor}.typelib
%{_libdir}/girepository-1.0/EBookContacts-%{girmajor}.typelib

%files -n %{camel_devel}
%doc %{_datadir}/gtk-doc/html/camel/*
%{_includedir}/%{name}/camel
%{_libdir}/pkgconfig/camel-%{api}.pc
##{_libdir}/pkgconfig/camel-provider-%{api}.pc
%{_libdir}/libcamel-%{api}.so
##{_libdir}/libcamel-provider-%{api}.so

%files -n %{ebackend_devel}
%{_includedir}/%{name}/libebackend
%{_libdir}/pkgconfig/libebackend-%{api}.pc
%{_libdir}/libebackend-%{api}.so

%files -n %{ebook_devel}
%{_includedir}/%{name}/libebook/
%{_libdir}/pkgconfig/libebook-%{api}.pc
%{_libdir}/libebook-%{api}.so
%{_datadir}/gir-1.0/EBook-%{girmajor}.gir
%{_datadir}/vala/vapi/libebook-1.2.deps
%{_datadir}/vala/vapi/libebook-1.2.vapi

%files -n %{ebookcontacts_devel}
%{_includedir}/%{name}/libebook-contacts/
%{_libdir}/pkgconfig/libebook-contacts-%{api}.pc
%{_libdir}/libebook-contacts-%{api}.so
%{_datadir}/gir-1.0/EBookContacts-%{girmajor}.gir
%{_datadir}/vala/vapi/libebook-contacts-1.2.deps
%{_datadir}/vala/vapi/libebook-contacts-1.2.vapi

%files -n %{ecal_devel}
%{_includedir}/%{name}/libecal/
%{_libdir}/pkgconfig/libecal-%{api}.pc
%{_libdir}/libecal-%{api}.so

%files -n %{edatabook_devel}
%{_includedir}/%{name}/libedata-book/
%{_libdir}/pkgconfig/libedata-book-%{api}.pc
%{_libdir}/libedata-book-%{api}.so

%files -n %{edatacal_devel}
%{_includedir}/%{name}/libedata-cal/
%{_libdir}/pkgconfig/libedata-cal-%{api}.pc
%{_libdir}/libedata-cal-%{api}.so

%files -n %{edataserver_devel}
%{_includedir}/%{name}/libedataserver/
%{_includedir}/%{name}/libedataserverui/
%{_libdir}/pkgconfig/libedataserver-%{api}.pc
%{_libdir}/pkgconfig/libedataserverui-%{api}.pc
%{_libdir}/pkgconfig/evolution-data-server-%{api}.pc
%{_libdir}/libedataserver-%{api}.so
%{_libdir}/libedataserverui-%{api}.so
%{_datadir}/gir-1.0/EDataServer-%{girmajor}.gir
%{_datadir}/vala/vapi/libedataserver-1.2.deps
%{_datadir}/vala/vapi/libedataserver-1.2.vapi


%changelog

* Thu Dec 17 2015 Tigro <ashejn@gmail.com> 3.16.4-2
- (ea99fc8) update to 3.16.4

* Tue Aug 25 2015 Denis Silakov <denis.silakov@rosalab.ru> 3.12.9-2
- (49eeaa7) Build with new gdata

* Mon Jul 27 2015 Tigro <ashejn@yandex-team.ru> 3.16.4-2
- (271a473) rebuilt against new libgdata

* Mon Jul 13 2015 Tigro <ashejn@yandex-team.ru> 3.16.4-1
- (1bcd462) update to 3.16.4

* Tue Jul 07 2015 Tigro <ashejn@yandex-team.ru> 3.16.3-1
- (482f604) update to 3.16.3

* Tue May 12 2015 Tigro <ashejn@yandex-team.ru> 3.16.2-1
- (07de0a7) update to 3.16.2

* Mon Apr 13 2015 Tigro <ashejn@yandex-team.ru> 3.16.1-1
- (f14f229) update to 3.16.1

* Mon Mar 23 2015 Tigro <ashejn@gmail.com> 3.16.0-1
- (cc77ebf) update to 3.16.0

* Tue Mar 17 2015 Tigro <ashejn@yandex-team.ru> 3.15.92-1
- (b70e1ce) pack file
- (Tigro: 1dba0d9) update to 3.15.92

* Mon Mar 09 2015 Tigro <ashejn@gmail.com> 3.15.91-1
- (fd9a0db) added Provides
- (Tigro: 41cc9bf) fix typo
- (Tigro: 23a8c7c) pack files
- (Tigro: 968d1be) bump version
- (Tigro: 7a41603) upload source
- (Tigro: 2a24515) update to 3.15.91

* Thu Dec 11 2014 Tigro <ashejn@gmail.com> 3.12.9-1
- (2e87962) added rpmlintrc to be compat with old versions
- (Tigro: fadb22c) update to 3.12.9

* Fri Oct 17 2014 Tigro <ashejn@gmail.com> 3.12.7-1
- (22a6c15) update to 3.12.7

* Wed Sep 10 2014 Tigro <ashejn@gmail.com> 3.12.6-1
- (a853f9a) update to 3.12.6

* Tue Aug 05 2014 Tigro <ashejn@gmail.com> 3.12.4-1
- (c2c9912) update to 3.12.4

* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 3.12.3-3
- (2f795df) MassBuild#440: Increase release tag

* Wed Jun 18 2014 Tigro <ashejn@gmail.com> 3.12.3-2
- (999c9d7) bump release to rebuild

* Tue Jun 10 2014 Tigro <ashejn@gmail.com> 3.12.3-1
- (4d0da57) update to 3.12.3

* Tue May 13 2014 Tigro <ashejn@gmail.com> 3.12.2-3
- (d7068b1) update to 3.12.2

* Tue May 13 2014 Tigro <arkady.shane@rosalab.ru> 3.12.1-3
- (186474b) clean up old lib packages

* Mon May 05 2014 Tigro <ashejn@gmail.com> 3.12.1-2
- (edf261e) bump release

* Mon May 05 2014 Tigro <ashejn@gmail.com> 3.12.1-1
- (d75d035) enable vala bindings and place gir files to proper packages
- (Tigro: fbd2415) drop libedataserver.convert
- (Tigro: 555f60b) pack files
- (Tigro: 17cd610) bump dir version
- (Tigro: c0eff1c) update depends
- (Tigro: 90c5892) update to 3.12.1

* Mon Oct 14 2013 Tigro <ashejn@gmail.com> 3.8.5-1
- (78329a8) update to 3.8.5

* Fri Jul 26 2013 Tigro <ashejn@gmail.com> 3.8.4-1
- (248707c) update to 3.8.4

* Thu Jun 20 2013 root <root@localhost.localdomain> 3.8.3-1
- (d25936b) sync to gnome38 branch

* Wed Mar 20 2013 Arkady Shane <ashejn@gmail.com> 3.6.4-1
- (d70d82d) update to 3.6.4

* Fri Feb 15 2013 Arkady Shane <ashejn@gmail.com> 3.6.3-1
- (2984959) update to 3.6.3

* Tue Nov 13 2012 Arkady Shane <ashejn@gmail.com> 3.6.2-1
- (430ef6f) update to 3.6.2

* Tue Oct 16 2012 mdawkins <mattydaw@gmail.com> 3.6.1-1
- (561ae44) added sources file for the tarball
- (mdawkins: 3d837bd) new version 3.6.1

* Fri Sep 28 2012 Arkady L. Shane <arkady.shane@rosalab.ru> 3.6.0-1
- (12b6113) pack some files

* Wed Aug 29 2012 Sergey A. Sokolov <sokol@mtik.ru> 3.4.4-1
- (0f33b79) up to 3.4.4
- (Tigro: 02c5c44) update for GNOME 3


